Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.appengine.api.search
Class ListDocumentsException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  com.google.appengine.api.search.SearchBaseException
                      com.google.appengine.api.search.ListDocumentsException

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  ListException

Deprecated. As of 1.6.6, replaced by `ListException`.

    @Deprecated
    public class ListDocumentsException

extends SearchBaseException

Thrown to indicate that a search service failure occurred while performing a list documents request.

See Also:
  Serialized Form

Constructor Summary
`ListDocumentsException(OperationResult operationResult)` Deprecated. Constructs an exception when some error occurred in the search service when processing a list documents request.
`ListDocumentsException(java.lang.String message)` Deprecated. Constructs an exception when some error occurred in the search service when processing a list documents request.

Method Summary

Methods inherited from class com.google.appengine.api.search.SearchBaseException
`getOperationResult`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ListDocumentsException

    public ListDocumentsException(java.lang.String message)

  Deprecated.
  Constructs an exception when some error occurred in the search service when processing a list documents request.

  Parameters:
    `message` - the error detail associated with the failure

### ListDocumentsException

    public ListDocumentsException(OperationResult operationResult)

  Deprecated.
  Constructs an exception when some error occurred in the search service when processing a list documents request.

  Parameters:
    `operationResult` - the error code and message detail associated with the failure

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD